Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter Common API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.db
Interface Session

    public interface Session

Session hosts a Connection interface.

Version:
  $Revision: 1.2 $
Author:
  $Author: cmbuild $

Field Summary
`static int` | `DBMS_TYPE_UNKNOWN` Unknown DBMS Type: 0

Method Summary
`java.sql.Connection` | `addSessionEventListener(SessionEventListener listener)` Adds sessoin event listener.
`void` | `checkConnection(java.sql.SQLException xsql)` Connection status check if there is a SQL exception.
`void` | `close()` Closes the session.
`void` | `commit()` Commits a transaction for the connection.
`void` | `connect()` Connects to a database.
`java.lang.Object` | `connInvoke(java.lang.String methodName, java.lang.Class[] argsCls, java.lang.Object[] args)` Invokes a method of the database `Connection` object of this ETD.
`boolean` | `getAutoCommit()` Returns the session auto commit property.
`java.lang.String` | `getCatalog()` Returns the session catalog property.
`int` | `getConcurrencyType()` Get concurrency type.
`java.sql.Connection` | `getConnection()` Get the database `Connection` object of this ETD.
`int` | `getDBMS()` Retrieves the DBMS type.
`java.sql.DatabaseMetaData` | `getMetaData()` Returns the session database meta data.
`boolean` | `getNewTypeFlag()` Check if it is a new ResultSet type.
`int` | `getResultSetType()` Get result set type.
`boolean` | `getSupportsBatch()` checks to see if the driver supports batch operations.
`int` | `getTransactionIsolation()` Returns the session transaction isolation level.
`java.util.Map` | `getTypeMap()` Returns the session type map for user-defined type.
`boolean` | `isClosed()` Returns the session open status.
`boolean` | `isConnected()` Returns the connection status.
`boolean` | `isReadOnly()` Returns the session read only status.
`void` | `open()` Opens the session.
`void` | `releaseResources()` Releases connection resources.
`boolean` | `removeSessionEventListener(SessionEventListener listener)` Removes sessoin event listener.
`void` | `requestReset()` Request that a reset be done on the data content of the DB ETD.
`void` | `rollback()` Rollbacks a transaction for the connection.
`void` | `setAutoCommit(boolean bAuto)` Sets the session auto commit property.
`void` | `setCatalog(java.lang.String sCatalog)` Sets the session catalog property.
`void` | `setConcurrencyType(int concurrencyType)` Set the concurrency type of the connection.
`void` | `setDBMS(int dbmsType)` Sets the DBMS type.
`void` | `setNewTypeFlag(boolean bNew)` Set whether this is a new ResultSet type.
`void` | `setReadOnly(boolean bRead)` Sets the session read only property.
`void` | `setResultSetType(int resultSetType)` Set the resultset type of the connection.
`void` | `setTransactionIsolation(int iLevel)` Sets the session transaction isolation level.
`void` | `setTypeMap(java.util.Map map)` Sets the session type map for user-defined type.

Field Detail

### DBMS_TYPE_UNKNOWN

    static final int DBMS_TYPE_UNKNOWN

  Unknown DBMS Type: 0

  See Also:
    Constant Field Values

Method Detail

### connect

    void connect()
                 throws java.sql.SQLException

  Connects to a database.

  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### open

    void open()
              throws java.sql.SQLException

  Opens the session.

  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### releaseResources

    void releaseResources()
                          throws java.sql.SQLException

  Releases connection resources.

  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### close

    void close()
               throws java.sql.SQLException

  Closes the session.

  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### isClosed

    boolean isClosed()
                     throws java.sql.SQLException

  Returns the session open status.

  Returns:
    true if close() method has been called or connection has never established; false otherwise.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### getAutoCommit

    boolean getAutoCommit()
                          throws java.sql.SQLException

  Returns the session auto commit property.

  Returns:
    true if AutoCommit is set to true; false otherwise.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### setAutoCommit

    void setAutoCommit(boolean bAuto)
                       throws java.sql.SQLException

  Sets the session auto commit property.

  Parameters:
    `bAuto` - true if auto commit is desired;false otherwise.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### getCatalog

    java.lang.String getCatalog()
                                throws java.sql.SQLException

  Returns the session catalog property.

  Returns:
    the name of the catalog of this connection.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### setCatalog

    void setCatalog(java.lang.String sCatalog)
                    throws java.sql.SQLException

  Sets the session catalog property.

  Parameters:
    `sCatalog` - the desired name of the catalog.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### isReadOnly

    boolean isReadOnly()
                       throws java.sql.SQLException

  Returns the session read only status.

  Returns:
    true if the database supports read-only; false otherwise.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### setReadOnly

    void setReadOnly(boolean bRead)
                     throws java.sql.SQLException

  Sets the session read only property. This is just a hint to the database, which does not necessarily prevents write operations.

  Parameters:
    `bRead` - true if read-only operations are desired; false otherwise.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### getTypeMap

    java.util.Map getTypeMap()
                             throws java.sql.SQLException

  Returns the session type map for user-defined type.

  Returns:
    type map for user-defined type.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### setTypeMap

    void setTypeMap(java.util.Map map)
                    throws java.sql.SQLException

  Sets the session type map for user-defined type.

  Parameters:
    `map` - the Map object that contains the mapping from SQL type names for user-defined types to Java classes.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### getMetaData

    java.sql.DatabaseMetaData getMetaData()
                                          throws java.sql.SQLException

  Returns the session database meta data.

  Returns:
    a database metadata object.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### getTransactionIsolation

    int getTransactionIsolation()
                                throws java.sql.SQLException

  Returns the session transaction isolation level.

  Returns:
    the transaction isolation level: TRANSACTION_NONE, TRANSACTION_READ_UNCOMMITTED, TRANSACTION_READ_COMMITTED, TRANSACTION_REPEATABLE_READ, TRANSACTION_SERIALIZABLE.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### setTransactionIsolation

    void setTransactionIsolation(int iLevel)
                                 throws java.sql.SQLException

  Sets the session transaction isolation level.

  Parameters:
    `iLevel` - a transaction isolation value: TRANSACTION_NONE, TRANSACTION_READ_UNCOMMITTED, TRANSACTION_READ_COMMITTED, TRANSACTION_REPEATABLE_READ, TRANSACTION_SERIALIZABLE.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### commit

    void commit()
                throws java.sql.SQLException

  Commits a transaction for the connection. All data changes will be permanent.

  Throws:
    `java.sql.SQLException` - if there is any problem in commiting a transaction.

### rollback

    void rollback()
                  throws java.sql.SQLException

  Rollbacks a transaction for the connection. All data changes will be cleared.

  Throws:
    `java.sql.SQLException` - if there is any problem in rolling back a transaction.

### addSessionEventListener

    java.sql.Connection addSessionEventListener(SessionEventListener listener)

  Adds sessoin event listener.

  Parameters:
    `listener` - a StatmentAgent that wants to be notified when a Session event occurs.
  Returns:
    a database Connection instance.

### removeSessionEventListener

    boolean removeSessionEventListener(SessionEventListener listener)

  Removes sessoin event listener.

  Parameters:
    `listener` - a StatmentAgent that no longer will be notified when a Session event occurs.
  Returns:
    true if the removal is successful; false otherwise.

### checkConnection

    void checkConnection(java.sql.SQLException xsql)
                         throws java.sql.SQLException

  Connection status check if there is a SQL exception.

  Parameters:
    `xsql` - a SQLException instance.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### setDBMS

    void setDBMS(int dbmsType)
                 throws java.sql.SQLException

  Sets the DBMS type.

  Parameters:
    `dbmsType` - the database vendor type.
  Throws:
    `java.sql.SQLException` - if there is any SQL problem.

### getDBMS

    int getDBMS()

  Retrieves the DBMS type.

  Returns:
    the DBMS type of the current session.
  See Also:
    `DBMS_TYPE_UNKNOWN`, `#DBMS_TYPE_ORACLE`, `#DBMS_TYPE_SYBASE`, `#DBMS_TYPE_MSSQL`, `#DBMS_TYPE_DB2`, `#DBMS_TYPE_SEQUELINK`, `#DBMS_TYPE_ATTUNITY`

### getSupportsBatch

    boolean getSupportsBatch()

  checks to see if the driver supports batch operations.

  Returns:
    true if the driver supports batch operations;false otherwise.

### requestReset

    void requestReset()

  Request that a reset be done on the data content of the DB ETD.

### connInvoke

    java.lang.Object connInvoke(java.lang.String methodName,
                                java.lang.Class[] argsCls,
                                java.lang.Object[] args)
                                throws java.lang.Exception

  Invokes a method of the database `Connection` object of this ETD.

  Parameters:
    `methodName` - the name of the method
    `argsCls` - `Class` array for types of formal arguments for method, in the declared order. Can be `null` if there are no formal arguments. However, cannot invoke constructor here.
    `args` - `Object` array of formal arguments for method in the declared order. Can be `null` if there are no formal arguments. However, cannot invoke constructor here.
  Returns:
    the `Object` instance resulting from the method invocation. Can be `null` if nothing is returned (`void` return declaration).
  Throws:
    `java.lang.Exception` - whatever exception the invoked method throws.

### getConnection

    java.sql.Connection getConnection()

  Get the database `Connection` object of this ETD.

  Returns:
    database `Connection` object of this ETD.

### setResultSetType

    void setResultSetType(int resultSetType)

  Set the resultset type of the connection. It will be reseted if as soon as a DB object is created.

  Parameters:
    `resultSetType` - resultset can have the following types: TYPE_FORWARD_ONLY, TYPE_SCROLL_INSENSITIVE, TYPE_SCROLL_SENSITIVE.

### getResultSetType

    int getResultSetType()

  Get result set type.

  Returns:
    result set type of this session at this moment.

### setConcurrencyType

    void setConcurrencyType(int concurrencyType)

  Set the concurrency type of the connection. It will be reseted if as soon as a DB object is created.

  Parameters:
    `concurrencyType` - concurrency can have the following types: CONCUR_READ_ONLY, CONCUR_UPDATABLE

### getConcurrencyType

    int getConcurrencyType()

  Get concurrency type.

  Returns:
    concurrency type of this session at this moment

### setNewTypeFlag

    void setNewTypeFlag(boolean bNew)

  Set whether this is a new ResultSet type.

  Parameters:
    `bNew` - a boolean value to indicate if the ResultSet type is modified.

### getNewTypeFlag

    boolean getNewTypeFlag()

  Check if it is a new ResultSet type.

  Returns:
    boolean value to indicate if the ResultSet type has been modified.

### isConnected

    boolean isConnected()

  Returns the connection status.

  Returns:
    true if connection is broken or not established; false otherwise.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter Common API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD